'''
Author: xin zhangxinbjfu@gmail.com
Date: 2020-05-25 14:07:48
LastEditors: xin zhangxinbjfu@gmail.com
LastEditTime: 2022-06-07 12:45:22
FilePath: /src/Users/zhangxin/Work/SlitlessSim/sed/produceSED_bycatfile/data/throughputs/CSST/toFitsTable.py
Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
'''
from astropy.table import Table
from astropy.io import fits
from pylab import *

fil = ['nuv','u','g','r','i','z','y']

for f in fil:

    d = loadtxt(f+'_throughput.txt')


    d[:,0] = d[:,0]

    d[:,1] = d[:,1]

    t= Table(d, names=('WAVELENGTH', 'SENSITIVITY'))

    t.write(f+'.Throughput.fits', format='fits')


# d[:,0] = d[:,0]

# d[:,1] = d[:,1]*0.1

# t= Table(d, names=('WAVELENGTH', 'SENSITIVITY'))

# t.write('GI.Throughput.0st.fits', format='fits')


# d = loadtxt('GU_1st.dat')
